#============================================================================
# prog_usage_cc_base.mk

PROG_USAGE_CC_BASE_MK_%C% =

# the caller must set POD_SRC to the name of the pod source file
# e.g.:

#  POD_SRC_%C% = $(top_srcdir)/docs/$(PACKAGE_NAME).pod
#  POD_SRC_%C% = $(srcdir)/bin.pod

POD_SRC_%C% +=

TEXT2USAGE_CXX_HSFX = .hpp
TEXT2USAGE_CXX_CSFX = .cc

PROG_USAGE = usage


%D%/$(PROG_USAGE)$(TEXT2USAGE_CXX_CSFX) : $(POD_SRC_%C%)
	pod2text < $? \
	| ( cd %D% ; text2usage -name $(PROG_USAGE) -pfx $(PROG_USAGE) -csfx $(TEXT2USAGE_CXX_CSFX) --hsfx $(TEXT2USAGE_CXX_HSFX))


MAINTAINERCLEANFILES	+= %D%/$(PROG_USAGE)$(TEXT2USAGE_CXX_CSFX) %D%/$(PROG_USAGE)$(TEXT2USAGE_CXX_HSFX)
EXTRA_DIST		+= %D%/$(PROG_USAGE)$(TEXT2USAGE_CXX_CSFX) %D%/$(PROG_USAGE)$(TEXT2USAGE_CXX_HSFX)
BUILT_SOURCES		+= %D%/$(PROG_USAGE)$(TEXT2USAGE_CXX_CSFX)

PROG_HELP = help

%D%/$(PROG_HELP)$(TEXT2USAGE_CXX_CSFX) : $(POD_SRC_%C%)
	pod2usage -verbose 1 $? \
	| ( cd %D% ; text2usage -name $(PROG_HELP) -pfx $(PROG_HELP) -csfx $(TEXT2USAGE_CXX_CSFX) -hsfx $(TEXT2USAGE_CXX_HSFX))


MAINTAINERCLEANFILES	+= %D%/$(PROG_HELP)$(TEXT2USAGE_CXX_CSFX) %D%/$(PROG_HELP)$(TEXT2USAGE_CXX_HSFX)
EXTRA_DIST		+= %D%/$(PROG_HELP)$(TEXT2USAGE_CXX_CSFX) %D%/$(PROG_HELP)$(TEXT2USAGE_CXX_HSFX)
BUILT_SOURCES		+= %D%/$(PROG_HELP)$(TEXT2USAGE_CXX_CSFX)

